import { User } from '@things-factory/auth-base';
import { Domain, ListParam } from '@things-factory/shell';
import { Process } from '../process/process';
import { ProcessGroup } from './process-group';
import { ProcessGroupList } from './process-group-type';
export declare class ProcessGroupQuery {
    processGroup(id: string, context: ResolverContext): Promise<ProcessGroup>;
    processGroups(params: ListParam, context: ResolverContext): Promise<ProcessGroupList>;
    processes(group: ProcessGroup): Promise<Process[]>;
    domain(group: ProcessGroup): Promise<Domain>;
    updater(group: ProcessGroup): Promise<User>;
    creator(group: ProcessGroup): Promise<User>;
}
